@import url('https://fonts.googleapis.com/css?family=Nunito:ital,wght@0,280;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,100 00;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  border: none;
  outline: none;
  scroll-behavior: smooth;
  font-family: 'Nunito', sans-serif;
}
:root {
  --bg-color: #191f36;
  --snd-bg-color: #262840;
  --text-color:#fff;
  --main-color:#5982F4;
}
html {
  font-size: 62.5%;
  overflow-x: hidden;
}
body {
  background: var(--bg-color);
  color: var(--text-color);
}
section {
  min-height: 100vh;
  padding: 10rem 9% 2rem;
}
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 2rem 9%;
  background: var(--bg-color);
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 100;
}
.logo {
  font-size: 2.5rem;
  color: var(--text-color);
  font-weight: 700;
  cursor: default;
}
.navbar a {
  font-size: 1.5rem;
  color: var(--text-color);
  margin-left: 4rem;
  font-weight: 700;
}
.navbar a:hover,
.navbar a.active {
  color: var(--text-color);
}
#menu-icon {
  font-size: 3.6rem;
  color: var(--text-color);
  display: none;
}
.index {
  display: flex;
  justify-content: center;
  align-items: center;
}
.index-content h3 {
  font-size: 3.2rem;
  font-weight: 700;
}
.index-content h3:nth-of-type(2) {
  margin-bottom: 2rem;
}
span {
  color: var(--main-color);
}
.index-content h1 {
  font-size: 5.6rem;
  font-weight: 700;
  line-height: 1.3;
}
.index-img img {
  width: 18vw;
  animation: floatImage 4s ease-in-out infinite;
}
@keyframes floatImage {
  0% {
      transform: translateY(0);
  }
  50% {
       transform: translateY(-2.4rem);
  }
  100% {
        transform: translateY(0);
  }
}
.index-content p {
  font-size: 1.6rem;
}
.social-media a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 4rem;
  height: 4rem;
  background: transparent;
  border: .2rem solid var(--main-color);
  border-radius: 50%;
  font-size: 2rem;
  color: var(--main-color);
  margin: 3rem 1.5rem 3rem 0;
  transition: .5s ease;
}
.social-media a:hover {
  background: var(--main-color);
  color: var(--snd-bg-color):
  box-shadow: 0 0 trem var(--main-color);
}
.btn {
  display: inline-block;
  padding: 1rem 2.8rem;
  background: var(--main-color);
  border-radius: 4rem;
  box-shadow: 0 0 irem var(--main-color);
  font-size: 1.6rem;
  color: var(--bg-color);
  letter-spacing: irem;
  font-weight: 600;
  transition: .5s ease;
}
.btn:hover {
  box-shadow: none;
}
.about {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  background: var(--snd-bg-color);
}
.about-img img {
  width: 35vw;
}
.heading {
  text-align: center;
  font-size: 4.5rem;
}
.about-content h2 {
  text-align: left;
  line-height: 1.2;
}
.about-content h3 {
  font-size: 2.6rem;
}
.about-content p {
  font-size: 1.6rem;
  margin: 2rem 0 3rem;
}
.custom-link {
    color: blue;
    font-size: 2.6rem;
    
}

.contact h2 {
  margin-bottom: 2rem;
}
.contact-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  flex-wrap: wrap;
}
.contact-container a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 4rem;
  height: 4rem;
  background: transparent;
  border: .2rem solid var(--main-color);
  border-radius: 50%;
  font-size: 2rem;
  color: var(--main-color);
  margin: 3rem 1.5rem 3rem 0;
  transition: .5s ease;
}
.contact-container a:hover {
  background: var(--main-color);
  color: var(--snd-bg-color):
  box-shadow: 0 0 trem var(--main-color);
}

.footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  padding: 0.6rem 4%;
  background: var(--snd-bg-color);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 99;
}

.footer-text {
  font-size: 1.2rem; /* lebih kecil */
  text-align: center;
  line-height: 1.4;
}


.project-section {
    display: flex;
    gap: 20px;
}

.project-card {
    height: 100%;
    border-radius: 10px;
    overflow: hidden;
}

.project-card img {
    width: 100%;
    height: 180px;          /* kunci tinggi gambar */
    object-fit: cover;     /* biar gambar proporsional */
}

.project-card .card-body {
    display: flex;
    flex-direction: column;
}

.project-card .btn {
    margin-top: auto;      /* tombol selalu di bawah */
}
